Package tigase.xmpp.mam

## Interface Query

- All Known Implementing Classes:
    `QueryImpl`

      public interface Query

  Interface defining methods required by base version MAMRepository to execute queries. Custom implementations of MAMRepository may use additional methods.
  Created by andrzej on 19.07.2016.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JID` | `getComponentJID()` |
    `java.util.Date` | `getEnd()` |
    `java.lang.String` | `getId()` |
    `JID` | `getQuestionerJID()` |
    `RSM` | `getRsm()` |
    `java.util.Date` | `getStart()` |
    `JID` | `getWith()` |
    `default java.lang.String` | `getXMLNS()` |
    `void` | `setComponentJID​(JID componentJID)` |
    `void` | `setEnd​(java.util.Date end)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setQuestionerJID​(JID questionerJID)` |
    `void` | `setStart​(java.util.Date start)` |
    `void` | `setWith​(JID with)` |
    `default void` | `setXMLNS​(java.lang.String xmlns)` |

- - ### Method Detail

    - #### getXMLNS

          default java.lang.String getXMLNS()

    - #### setXMLNS

          default void setXMLNS​(java.lang.String xmlns)

    - #### getQuestionerJID

          JID getQuestionerJID()

    - #### setQuestionerJID

          void setQuestionerJID​(JID questionerJID)

    - #### getComponentJID

          JID getComponentJID()

    - #### setComponentJID

          void setComponentJID​(JID componentJID)

    - #### getId

          java.lang.String getId()

    - #### setId

          void setId​(java.lang.String id)

    - #### getStart

          java.util.Date getStart()

    - #### setStart

          void setStart​(java.util.Date start)

    - #### getEnd

          java.util.Date getEnd()

    - #### setEnd

          void setEnd​(java.util.Date end)

    - #### getWith

          JID getWith()

    - #### setWith

          void setWith​(JID with)

    - #### getRsm

          RSM getRsm()